.craft-btn {
  display: inline-block;
  margin-top: 30px;
}

.card {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 250px;
  height: max-content;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  border-radius: 5px;
  margin: 10px;
  padding: 30px 0;
}

.item-image {
  width: 150px;
  height: 150px;
  background-color: var(--bg-color);
  margin: 30px;
  transition: all 0.4s ease;
  cursor: pointer;
}

.card:hover .item-image {
  transform: scale(1.1);
  box-shadow: 3px 3px 7px rgba(0, 0, 0, 0.1);
}

.card .needed {
  display: flex;
  justify-content: center;
  align-items: center;
}

.card .icon {
  display: inline-block;
  width: 20px;
  height: 20px;
  margin-right: 14px;
}

.err-msg {
  color: var(--warn-color);
}

.craft-meter-bg {
  position: relative;
  width: 150px;
  height: 20px;
  border-radius: 10px;
  background-color: var(--bg-color);
  box-shadow: 3px 3px 7px rgba(0, 0, 0, 0.2);
  margin: 50px;
}

.craft-meter-fill {
  position: absolute;
  top: 0;
  left: 0;
  height: 20px;
  border-radius: 10px;
  background-color: var(--text-color);
  box-shadow: 2px 2px 3px rgba(0, 0, 0, 0.2);
}

.item-description-modal {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--bg-color);
  width: 200px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  border-radius: 5px;
}

.description-container {
  padding: 5px 10px;
}

.description-container h3 {
  text-align: center;
  margin-bottom: 10px;
  filter: drop-shadow(2px 2px 1px rgba(0, 0, 0, 0.3));
}

.description-container p {
  text-align: center;
}
